<template lang="pug">
BaseWebSite(:title='TITLE' :version='VERSION'
    :showAbout='true' @toggle-about='$refs.about.toggle()')
  template(#root)
    BaseAbout(ref='about' :title="TITLE"
        :contributors='$options.contributors' :components='$options.libs')
      | Stateful Scalable Vector Graphics (SSVG) document editor
  .x-layout.d-flex.flex-column
    .row.flex-grow-1.no-gutters.h-100
      .col-3.x-left-panel
        .d-flex.flex-column.h-100(v-if='fragment')
          div.py-1.max-h-50
            SSVGPropList.h-100(v-for='(elt, index) in stateElements' :stateElement='elt' :key='index')
          div.py-1.max-h-50
            SSVGSelectorList.h-100
        .d-flex.justify-content-center.align-items-center.x-logo-container(v-if='!fragment')
          img.x-logo(:src='$butils.publicPath("logo.svg")')
      .col-6.x-content.d-flex.flex-grow-1.flex-column
        .flex-grow-1.x-item
          SSVGItem
        .x-bottom-panel
          SSVGControl
      .col-3.x-right-panel
        SSVGPropEdit
    CreateTransitionDialog(ref='createTransitionDialog')
    CreatePropertyDialog(ref='createPropertyDialog')
</template>
<script src='./App.vue.js' />
<style lang='scss'>

@import 'src/app';

.x-layout {
  height: 100%;
  .x-left-panel, .x-right-panel {
    max-height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
  }
  .x-content {
    max-height: 100%;
  }

  .x-bottom-panel {
    z-index: 10;
    min-height: 10vh;
  }

  .x-logo-container {
    height: 100%;
  }
  .x-logo {
    height: 70vh;
    max-width: 80%;
  }
}

</style>
